0#include<iostream>
using namespace std;
int brDeljivih(long long l, long long r, long long a){

    int i, j;
    for(i = r; i >= l; i--)
        if(i % a == 0)
            break;
    for(j = l; j <= r; j++)
        if(j % a == 0)
            break;
    return (i - j) / a + 1;
}
int a, b, c;
long long p, q, r, L, R, manjeJednako, rez;
int main(){

    cin >> p >> q >> r >> L >> R;
    manjeJednako = p * q * r * 1.0 / (p * q * r - p - q - r);


    return 0;
}




int main(){

    cin >> p >> q >> r >> L >> R;
    manjeJednako = 1 - 1.0/p - 1.0/q - 1.0/r; + 0.0001;
    br1 = brDeljivih(L, R, p) + brDeljivih(L, R, q) + brDeljivih(L, R, r)     -        brDeljivih(L, R, p * q) - brDeljivih(L, R,  p * r) - brDeljivih(L, R, q * r);
    br2 = brDeljivih(L, R, p) + brDeljivih(L, R, q) + brDeljivih(L, R, r)     -        brDeljivih(L, R, p * q) - brDeljivih(L, R,  p * r) - brDeljivih(L, R, q * r);
    if(manjeJednako <= 0.001){
        rez = 0;
        cout << "#1\n";
    }
    else if(manjeJednako <= 1.001){
                rez -= brDeljivih(L, R, p * q) + brDeljivih(L, R,  p * r) + brDeljivih(L, R, q * r) + brDeljivih(L, R, p * q * r);
                cout << "#2\n";
         }
        else if(manjeJednako <= 2.001){
            rez -= brDeljivih(L, R, p * q * r);
            cout << "#3\n";
         }

    cout << rez;

    return 0;
}